<?php

namespace Modules\Orders\ServicesList\CloneService;

class View_Utils_FormAdmin extends \App\Mvc\View_Utils_FormAbstract
{
	public function getForm()
	{
		$form = \Engine\Form\General::create();
		$form->setStyle('labelWidth', 20);

		$checkbox = new \Engine\Form\Input\Checkbox(null, 'linkServices', $this->values['linkServices']);
		$checkbox->setPossibleValues([1=> $this->lang['index']['formFields']['confirmLinkServices']]);

		$form->addElement($checkbox);

		// submit button
		$form->addElement(new \Engine\Form\Input\Hidden('', $this->submitButtonName, 1));

		return $form;
	}

}